ALIEN_HUNTER(1)

NAME
alien_hunter - Interpolated Variable Order Motifs for identification of horizontally acquired DNA

SYNOPSIS
alien_hunter <sequence.file> <output.file> [Options]

DESCRIPTION

Alien_hunter is an application for the prediction of putative Horizontal Gene Transfer (HGT) events with the implementation of Interpolated Variable Order Motifs (IVOMs). An IVOM approach exploits compositional biases using variable order motif distributions and captures more reliably the local composition of a sequence compared to fixed-order methods. Optionally the predictions can be parsed into a 2-state 2nd order Hidden Markov Model (HMM), in a change-point detection framework, to optimize the localization of the boundaries of the predicted regions. The predictions (embl format) can be automatically loaded into Artemis genome viewer freely available at: http://www.sanger.ac.uk/Software/Artemis/.

INPUT: raw genomic sequence PREDICTION: HGT regions based on Interpolated Variable Order Motifs (IVOMs) arguments:

<sequence.file>
    raw genomic sequence

<output.file>
    filename for output data

Optional arguments:

-a  to load the prediction file into Artemis

-c  optimize predicted boundaries with a change-point detection 2 state 2nd order HMM

Output files:

<output.file>
    predictions (tab file) in embl format

<output.file>.opt
    optimized (HMM) predictions (tab file) in embl format

<output.file>.plot
    predictions in Artemis User Plot format to be loaded manually using Graph -> Add User Plot...

<output.file>.opt.plot
    optimized (HMM) predictions in Artemis User Plot format to be loaded manually using Graph -> Add User Plot...

<output.file>.sco
    the scores over all the sliding windows - for score distribution check

Note: Predictions that overlap with rRNA operon are mentioned in the note qualifier

SEE ALSO
The manuscript describing the alien_hunter algorithm is available from Bioinformatics: Interpolated variable order motifs for identification of horizontally acquired DNA: revisiting the Salmonella pathogenicity islands. Vernikos GS, Parkhill J Bioinformatics. 2006;. PMID: 16837528

AUTHOR

This manual page was written by Andreas Tille <tille@debian.com> for the Debian(TM) system (but may be used by others). This man page is released under the same conditions as the software, that is GPL.